LibreOffice LibreOffice 6.1 SDK API Reference

Public Member Functions | List of all members
XPrintJobListener Interface Referencepublished

receives events about print job progress. More...

`import"XPrintJobListener.idl";`

Inheritance diagram for XPrintJobListener:

## Public Member Functions
void | printJobEvent ([in] PrintJobEvent Event)
| informs the user about the creation or the progress of a PrintJob More...
Public Member Functions inherited from XEventListener
void | disposing ([in] com::sun::star::lang::EventObject Source)
| gets called when the broadcaster is about to be disposed. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

receives events about print job progress.

XPrintJobListener can be registered to XPrintJobBroadcaster. Then, the client object will be notified when a new print job starts or its state changes.

See also
  XPrintJobBroadcaster
  XPrintJob

Since
  OOo 1.1.2

## Member Function Documentation

## ◆ printJobEvent()

void printJobEvent | ( | [in] PrintJobEvent | Event | ) |

informs the user about the creation or the progress of a PrintJob

Parameters

  Event | contains the XPrintJob having changed state and the new state.

The documentation for this interface was generated from the following file:

- com/sun/star/view/XPrintJobListener.idl